/*****
 NAME
	cseparator.m - source code for CSeparator class
 VERSION
	$Id$
 CHANGELOG
	$Log$
 */

#include <coconut/gtk/cseparator.h>
#include <coconut/csystem.h>

#define	SEPARATOR_PTR	GTK_SEPARATOR(widget_ptr)

@implementation CSeparator

- init
{
	return [self initSeparator: FALSE] ; 
}

- initSeparator: (direction_t) dir
{
	GtkWidget * widget ;
	widget = IS_VERT_DIR(dir) ? gtk_vseparator_new() : gtk_hseparator_new();
	[CSystem checkPtr: widget] ;
	return [super initWidget: widget_separator widget: widget] ;
}

- (void) dealloc
{
	[super dealloc] ;
}

@end

